VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Macros
vstsinglecomponenteffect.h File Reference
`#include "pluginterfaces/vst/ivstaudioprocessor.h"`
`#include "public.sdk/source/vst/vsteditcontroller.h"`
`#include "pluginterfaces/vst/ivsteditcontroller.h"`
`#include "public.sdk/source/vst/utility/processcontextrequirements.h"`
`#include "public.sdk/source/vst/vstbus.h"`
`#include "public.sdk/source/vst/vstparameters.h"`

## Classes
class | SingleComponentEffect
    Default implementation for a non-distributable Plug-in that combines
processor and edit controller in one component. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst

## Macros
#define | setState setEditorState
#define | getState getEditorState

## Macro Definition Documentation

#define setState setEditorState

#define getState getEditorState

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.